Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047170
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-17 10:382021-07-07 12:01
ReporterjmelinView Statuspublic 
Assigned Toagonzalez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047170: JIRA 2044 - When reloading data on POS, it doesn't reflect the changes made on keymap

DescriptionWhen reloading data on POS, it doesn't reflect the changes made on keymap
You need to log out/log in.
Steps To Reproduce1. Connect to POS and display a keymap

2. In BO, change the keymap to add product for example

3. Go back to the POS and "Refresh master data" manually
=> the product is not available in the keymap

4. log out/log in to the POS
=> the product is available in the keymap
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047190TAP closedAugustoMauch JIRA 2044 - When reloading data on POS, it doesn't reflect the changes made on keymap 

-  Notes
(0129855)
guilleaer (manager)
2021-06-28 14:23

This issue is fixed in keymap editor project. This part needs to be backported to TAP
(0129962)
hgbot (developer)
2021-06-29 17:53

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/585 [^]
(0130077)
hgbot (developer)
2021-07-01 17:25

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/585 [^]
(0130078)
AugustoMauch (developer)
2021-07-01 17:26

Fixed in merge request: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/585 [^]
(0130100)
AugustoMauch (developer)
2021-07-02 14:08

After testing, I found 2 issues.


Issue 1:
Disabled product category in a keymap are not reflected on POS after refresh

1. In BO, Create a new keymap category to an existing keymap
2. Connect to POS
=> the category is available with no product
3. IN BO, add a product category to the keymap cat
4. On POS, refresh data
=> OK, the product is available on the POS
5. In BO, disable the previous product category and add a new one
6. On POS, refresh data
=> KO, both products category are available


Issue 2:
When a new page is added to the keymap category after refresh, you can't navigate to it.

1. In BO, Create a new keymap category to an existing keymap
2. Connect to POS
=> the category is available with no product
3. IN BO, add a product category to the keymap cat
4. On POS, refresh data
=> OK, the product is available on the POS
5. In BO, add a new product category so the number of products to display will add a new page
6. On POS, refresh data
=> KO, the new pages are created but you can't access through carroussel button for example.
You need to select another keymap category and come back to the previous to make it work properly
(0130101)
hgbot (developer)
2021-07-02 14:12

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/592 [^]
(0130221)
hgbot (developer)
2021-07-07 12:01

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: d732ee8abbb0eac9548a49163f54105a31c69c48
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 2021-07-07T12:00:38+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/d732ee8abbb0eac9548a49163f54105a31c69c48 [^]

Fixes ISSUE-47170: When reloading data on POS, it doesn't reflect the changes made on keymap

Active properties have been added to the model so that is the flag is unchecked in the backoffice, the master data entry will be removed
from the masterdata in the next incremental refresh.

Also now the keymap category is recomputed after refresh to update the pagination info

---
M src/org/openbravo/pos2/master/KeymapCategoryButtonAppearanceProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryButtonPositionProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryDefaultLayoutProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryLayoutProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryOrganizationProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryProductButtonAppearanceProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryProductButtonPositionProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryProductCategoryExclusionProperties.java
M src/org/openbravo/pos2/master/KeymapCategoryProductCategoryProperties.java
M src/org/openbravo/pos2/master/KeymapProductDefaultLayoutProperties.java
M src/org/openbravo/pos2/master/KeymapProductLayoutProperties.java
M src/org/openbravo/pos2/master/KeymapVersionProperties.java
M web-jspack/org.openbravo.pos2/src/components/ProductCategoryButton/ProductCategoryButton.jsx
M web-jspack/org.openbravo.pos2/src/model/masterdata/KeymapModel.js
M web-jspack/org.openbravo.pos2/src/model/user-interface/actions/SetSelectedKeymapCategory.js
---
(0130222)
hgbot (developer)
2021-07-07 12:01

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/592 [^]

- Issue History
Date Modified Username Field Change
2021-06-17 10:38 jmelin New Issue
2021-06-17 10:38 jmelin Assigned To => Retail
2021-06-17 10:38 jmelin Triggers an Emergency Pack => No
2021-06-18 18:29 dmiguelez Status new => acknowledged
2021-06-18 18:29 dmiguelez Status acknowledged => scheduled
2021-06-18 18:30 dmiguelez Status scheduled => acknowledged
2021-06-21 15:48 guilleaer Type feature request => defect
2021-06-28 14:23 guilleaer Note Added: 0129855
2021-06-28 14:24 guilleaer Status acknowledged => scheduled
2021-06-28 14:24 guilleaer Assigned To Retail => AugustoMauch
2021-06-29 17:53 hgbot Note Added: 0129962
2021-07-01 17:25 hgbot Note Added: 0130077
2021-07-01 17:26 AugustoMauch Note Added: 0130078
2021-07-01 17:26 AugustoMauch Status scheduled => resolved
2021-07-01 17:26 AugustoMauch Resolution open => fixed
2021-07-01 17:26 AugustoMauch Assigned To AugustoMauch => agonzalez
2021-07-01 17:26 AugustoMauch Review Assigned To => AugustoMauch
2021-07-01 17:26 AugustoMauch Status resolved => closed
2021-07-02 14:08 AugustoMauch Status closed => new
2021-07-02 14:08 AugustoMauch Resolution fixed => open
2021-07-02 14:08 AugustoMauch Note Added: 0130100
2021-07-02 14:12 hgbot Note Added: 0130101
2021-07-07 12:01 hgbot Resolution open => fixed
2021-07-07 12:01 hgbot Status new => closed
2021-07-07 12:01 hgbot Note Added: 0130221
2021-07-07 12:01 hgbot Note Added: 0130222


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker